# Class Thelia\Model\om\BaseOrderAddressQuery | thelia

# Class BaseOrderAddressQuery

Base class that represents a query for the 'order_address' table.

  ModelCriteria
  Thelia\Model\om\BaseOrderAddressQuery

#### Direct known subclasses

Thelia\Model\OrderAddressQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseOrderAddressQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\OrderAddress', string $modelAlias = null )`

Initializes internal state of BaseOrderAddressQuery object.

Initializes internal state of BaseOrderAddressQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\OrderAddressQuery``

# `create( string $modelAlias = null, `Thelia\Model\OrderAddressQuery`|Criteria $criteria = null )`

Returns a new OrderAddressQuery object.

Returns a new OrderAddressQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\OrderAddressQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddress`|`Thelia\Model\OrderAddress[]`|mixed`

# `findPk( mixed $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj  = $c->findPk(12, $con);

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\OrderAddress`|`Thelia\Model\OrderAddress[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\OrderAddress``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\OrderAddress``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\OrderAddress`|`Thelia\Model\OrderAddress[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\OrderAddress`|`Thelia\Model\OrderAddress[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\OrderAddress[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\OrderAddress[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\OrderAddressQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByCustomerTitleId( mixed $customerTitleId = null, string $comparison = null )`

Filter the query on the customer_title_id column

Filter the query on the customer_title_id column

Example usage:

    $query->filterByCustomerTitleId(1234); // WHERE customer_title_id = 1234
    $query->filterByCustomerTitleId(array(12, 34)); // WHERE customer_title_id IN (12, 34)
    $query->filterByCustomerTitleId(array('min' => 12)); // WHERE customer_title_id > 12

#### Parameters

$customerTitleId
  `mixed`
  $customerTitleId The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByCompany( string $company = null, string $comparison = null )`

Filter the query on the company column

Filter the query on the company column

Example usage:

    $query->filterByCompany('fooValue');   // WHERE company = 'fooValue'
    $query->filterByCompany('%fooValue%'); // WHERE company LIKE '%fooValue%'

#### Parameters

$company
  `string`
  $company The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByFirstname( string $firstname = null, string $comparison = null )`

Filter the query on the firstname column

Filter the query on the firstname column

Example usage:

    $query->filterByFirstname('fooValue');   // WHERE firstname = 'fooValue'
    $query->filterByFirstname('%fooValue%'); // WHERE firstname LIKE '%fooValue%'

#### Parameters

$firstname
  `string`
  $firstname The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByLastname( string $lastname = null, string $comparison = null )`

Filter the query on the lastname column

Filter the query on the lastname column

Example usage:

    $query->filterByLastname('fooValue');   // WHERE lastname = 'fooValue'
    $query->filterByLastname('%fooValue%'); // WHERE lastname LIKE '%fooValue%'

#### Parameters

$lastname
  `string`
  $lastname The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByAddress1( string $address1 = null, string $comparison = null )`

Filter the query on the address1 column

Filter the query on the address1 column

Example usage:

    $query->filterByAddress1('fooValue');   // WHERE address1 = 'fooValue'
    $query->filterByAddress1('%fooValue%'); // WHERE address1 LIKE '%fooValue%'

#### Parameters

$address1
  `string`
  $address1 The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByAddress2( string $address2 = null, string $comparison = null )`

Filter the query on the address2 column

Filter the query on the address2 column

Example usage:

    $query->filterByAddress2('fooValue');   // WHERE address2 = 'fooValue'
    $query->filterByAddress2('%fooValue%'); // WHERE address2 LIKE '%fooValue%'

#### Parameters

$address2
  `string`
  $address2 The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByAddress3( string $address3 = null, string $comparison = null )`

Filter the query on the address3 column

Filter the query on the address3 column

Example usage:

    $query->filterByAddress3('fooValue');   // WHERE address3 = 'fooValue'
    $query->filterByAddress3('%fooValue%'); // WHERE address3 LIKE '%fooValue%'

#### Parameters

$address3
  `string`
  $address3 The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByZipcode( string $zipcode = null, string $comparison = null )`

Filter the query on the zipcode column

Filter the query on the zipcode column

Example usage:

    $query->filterByZipcode('fooValue');   // WHERE zipcode = 'fooValue'
    $query->filterByZipcode('%fooValue%'); // WHERE zipcode LIKE '%fooValue%'

#### Parameters

$zipcode
  `string`
  $zipcode The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByCity( string $city = null, string $comparison = null )`

Filter the query on the city column

Filter the query on the city column

Example usage:

    $query->filterByCity('fooValue');   // WHERE city = 'fooValue'
    $query->filterByCity('%fooValue%'); // WHERE city LIKE '%fooValue%'

#### Parameters

$city
  `string`
  $city The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByPhone( string $phone = null, string $comparison = null )`

Filter the query on the phone column

Filter the query on the phone column

Example usage:

    $query->filterByPhone('fooValue');   // WHERE phone = 'fooValue'
    $query->filterByPhone('%fooValue%'); // WHERE phone LIKE '%fooValue%'

#### Parameters

$phone
  `string`
  $phone The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByCountryId( mixed $countryId = null, string $comparison = null )`

Filter the query on the country_id column

Filter the query on the country_id column

Example usage:

    $query->filterByCountryId(1234); // WHERE country_id = 1234
    $query->filterByCountryId(array(12, 34)); // WHERE country_id IN (12, 34)
    $query->filterByCountryId(array('min' => 12)); // WHERE country_id > 12

#### Parameters

$countryId
  `mixed`
  $countryId The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByCreatedAt( mixed $createdAt = null, string $comparison = null )`

Filter the query on the created_at column

Filter the query on the created_at column

Example usage:

    $query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'

#### Parameters

$createdAt
  `mixed`
  $createdAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByUpdatedAt( mixed $updatedAt = null, string $comparison = null )`

Filter the query on the updated_at column

Filter the query on the updated_at column

Example usage:

    $query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'

#### Parameters

$updatedAt
  `mixed`
  $updatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `filterByOrderRelatedByAddressInvoice( `Thelia\Model\Order`|PropelObjectCollection $order, string $comparison = null )`

Filter the query by a related Order object

Filter the query by a related Order object

#### Parameters

$order
  ``Thelia\Model\Order`|PropelObjectCollection`
  $order the related object to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\OrderAddressQuery``

# `joinOrderRelatedByAddressInvoice( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Adds a JOIN clause to the query using the OrderRelatedByAddressInvoice relation

Adds a JOIN clause to the query using the OrderRelatedByAddressInvoice relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `useOrderRelatedByAddressInvoiceQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Use the OrderRelatedByAddressInvoice relation Order object

Use the OrderRelatedByAddressInvoice relation Order object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\OrderAddressQuery``

# `filterByOrderRelatedByAddressDelivery( `Thelia\Model\Order`|PropelObjectCollection $order, string $comparison = null )`

Filter the query by a related Order object

Filter the query by a related Order object

#### Parameters

$order
  ``Thelia\Model\Order`|PropelObjectCollection`
  $order the related object to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\OrderAddressQuery``

# `joinOrderRelatedByAddressDelivery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Adds a JOIN clause to the query using the OrderRelatedByAddressDelivery relation

Adds a JOIN clause to the query using the OrderRelatedByAddressDelivery relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderQuery``

# `useOrderRelatedByAddressDeliveryQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::LEFT_JOIN )`

Use the OrderRelatedByAddressDelivery relation Order object

Use the OrderRelatedByAddressDelivery relation Order object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\OrderQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\OrderAddressQuery``

# `prune( `Thelia\Model\OrderAddress` $orderAddress = null )`

Exclude object from result

Exclude object from result

#### Parameters

$orderAddress
  ``Thelia\Model\OrderAddress``
  $orderAddress Object to remove from the list of results

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `recentlyUpdated( integer $nbDays = 7 )`

Filter by the latest updated

Filter by the latest updated

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of the latest update in days

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `lastUpdatedFirst( )`

Order by update date desc

Order by update date desc

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `firstUpdatedFirst( )`

Order by update date asc

Order by update date asc

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `recentlyCreated( integer $nbDays = 7 )`

Filter by the latest created

Filter by the latest created

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of in days

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `lastCreatedFirst( )`

Order by create date desc

Order by create date desc

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

`public `Thelia\Model\OrderAddressQuery``

# `firstCreatedFirst( )`

Order by create date asc

Order by create date asc

#### Returns

``Thelia\Model\OrderAddressQuery``
The current query, for fluid interface

Magic methods summary

`public `Thelia\Model\OrderAddressQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByCustomerTitleId( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the customer_title_id column

Order by the customer_title_id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByCompany( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the company column

Order by the company column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByFirstname( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the firstname column

Order by the firstname column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByLastname( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the lastname column

Order by the lastname column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByAddress1( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the address1 column

Order by the address1 column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByAddress2( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the address2 column

Order by the address2 column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByAddress3( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the address3 column

Order by the address3 column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByZipcode( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the zipcode column

Order by the zipcode column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByCity( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the city column

Order by the city column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByPhone( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the phone column

Order by the phone column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByCountryId( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the country_id column

Order by the country_id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the created_at column

Order by the created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `orderByUpdatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the updated_at column

Order by the updated_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByCustomerTitleId( )`

Group by the customer_title_id column

Group by the customer_title_id column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByCompany( )`

Group by the company column

Group by the company column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByFirstname( )`

Group by the firstname column

Group by the firstname column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByLastname( )`

Group by the lastname column

Group by the lastname column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByAddress1( )`

Group by the address1 column

Group by the address1 column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByAddress2( )`

Group by the address2 column

Group by the address2 column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByAddress3( )`

Group by the address3 column

Group by the address3 column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByZipcode( )`

Group by the zipcode column

Group by the zipcode column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByCity( )`

Group by the city column

Group by the city column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByPhone( )`

Group by the phone column

Group by the phone column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByCountryId( )`

Group by the country_id column

Group by the country_id column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByCreatedAt( )`

Group by the created_at column

Group by the created_at column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `groupByUpdatedAt( )`

Group by the updated_at column

Group by the updated_at column

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `leftJoinOrderRelatedByAddressInvoice( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the OrderRelatedByAddressInvoice relation

Adds a LEFT JOIN clause to the query using the OrderRelatedByAddressInvoice relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `rightJoinOrderRelatedByAddressInvoice( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the OrderRelatedByAddressInvoice relation

Adds a RIGHT JOIN clause to the query using the OrderRelatedByAddressInvoice relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `innerJoinOrderRelatedByAddressInvoice( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the OrderRelatedByAddressInvoice relation

Adds a INNER JOIN clause to the query using the OrderRelatedByAddressInvoice relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `leftJoinOrderRelatedByAddressDelivery( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the OrderRelatedByAddressDelivery relation

Adds a LEFT JOIN clause to the query using the OrderRelatedByAddressDelivery relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `rightJoinOrderRelatedByAddressDelivery( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the OrderRelatedByAddressDelivery relation

Adds a RIGHT JOIN clause to the query using the OrderRelatedByAddressDelivery relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddressQuery``

# `innerJoinOrderRelatedByAddressDelivery( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the OrderRelatedByAddressDelivery relation

Adds a INNER JOIN clause to the query using the OrderRelatedByAddressDelivery relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\OrderAddressQuery``

`public `Thelia\Model\OrderAddress``

# `findOne( PropelPDO $con = null )`

Return the first OrderAddress matching the query

Return the first OrderAddress matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first OrderAddress matching the query, or a new OrderAddress object populated from the query conditions when no match is found

Return the first OrderAddress matching the query, or a new OrderAddress object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneById( integer $id = )`

Return the first OrderAddress filtered by the id column

Return the first OrderAddress filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByCustomerTitleId( integer $customer_title_id = )`

Return the first OrderAddress filtered by the customer_title_id column

Return the first OrderAddress filtered by the customer_title_id column

#### Parameters

$customer_title_id
  `integer`
  $customer_title_id

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByCompany( string $company = )`

Return the first OrderAddress filtered by the company column

Return the first OrderAddress filtered by the company column

#### Parameters

$company
  `string`
  $company

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByFirstname( string $firstname = )`

Return the first OrderAddress filtered by the firstname column

Return the first OrderAddress filtered by the firstname column

#### Parameters

$firstname
  `string`
  $firstname

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByLastname( string $lastname = )`

Return the first OrderAddress filtered by the lastname column

Return the first OrderAddress filtered by the lastname column

#### Parameters

$lastname
  `string`
  $lastname

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByAddress1( string $address1 = )`

Return the first OrderAddress filtered by the address1 column

Return the first OrderAddress filtered by the address1 column

#### Parameters

$address1
  `string`
  $address1

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByAddress2( string $address2 = )`

Return the first OrderAddress filtered by the address2 column

Return the first OrderAddress filtered by the address2 column

#### Parameters

$address2
  `string`
  $address2

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByAddress3( string $address3 = )`

Return the first OrderAddress filtered by the address3 column

Return the first OrderAddress filtered by the address3 column

#### Parameters

$address3
  `string`
  $address3

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByZipcode( string $zipcode = )`

Return the first OrderAddress filtered by the zipcode column

Return the first OrderAddress filtered by the zipcode column

#### Parameters

$zipcode
  `string`
  $zipcode

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByCity( string $city = )`

Return the first OrderAddress filtered by the city column

Return the first OrderAddress filtered by the city column

#### Parameters

$city
  `string`
  $city

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByPhone( string $phone = )`

Return the first OrderAddress filtered by the phone column

Return the first OrderAddress filtered by the phone column

#### Parameters

$phone
  `string`
  $phone

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByCountryId( integer $country_id = )`

Return the first OrderAddress filtered by the country_id column

Return the first OrderAddress filtered by the country_id column

#### Parameters

$country_id
  `integer`
  $country_id

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByCreatedAt( string $created_at = )`

Return the first OrderAddress filtered by the created_at column

Return the first OrderAddress filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

``Thelia\Model\OrderAddress``

`public `Thelia\Model\OrderAddress``

# `findOneByUpdatedAt( string $updated_at = )`

Return the first OrderAddress filtered by the updated_at column

Return the first OrderAddress filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

``Thelia\Model\OrderAddress``

`public array`

# `findById( integer $id = )`

Return OrderAddress objects filtered by the id column

Return OrderAddress objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByCustomerTitleId( integer $customer_title_id = )`

Return OrderAddress objects filtered by the customer_title_id column

Return OrderAddress objects filtered by the customer_title_id column

#### Parameters

$customer_title_id
  `integer`
  $customer_title_id

#### Returns

`array`

`public array`

# `findByCompany( string $company = )`

Return OrderAddress objects filtered by the company column

Return OrderAddress objects filtered by the company column

#### Parameters

$company
  `string`
  $company

#### Returns

`array`

`public array`

# `findByFirstname( string $firstname = )`

Return OrderAddress objects filtered by the firstname column

Return OrderAddress objects filtered by the firstname column

#### Parameters

$firstname
  `string`
  $firstname

#### Returns

`array`

`public array`

# `findByLastname( string $lastname = )`

Return OrderAddress objects filtered by the lastname column

Return OrderAddress objects filtered by the lastname column

#### Parameters

$lastname
  `string`
  $lastname

#### Returns

`array`

`public array`

# `findByAddress1( string $address1 = )`

Return OrderAddress objects filtered by the address1 column

Return OrderAddress objects filtered by the address1 column

#### Parameters

$address1
  `string`
  $address1

#### Returns

`array`

`public array`

# `findByAddress2( string $address2 = )`

Return OrderAddress objects filtered by the address2 column

Return OrderAddress objects filtered by the address2 column

#### Parameters

$address2
  `string`
  $address2

#### Returns

`array`

`public array`

# `findByAddress3( string $address3 = )`

Return OrderAddress objects filtered by the address3 column

Return OrderAddress objects filtered by the address3 column

#### Parameters

$address3
  `string`
  $address3

#### Returns

`array`

`public array`

# `findByZipcode( string $zipcode = )`

Return OrderAddress objects filtered by the zipcode column

Return OrderAddress objects filtered by the zipcode column

#### Parameters

$zipcode
  `string`
  $zipcode

#### Returns

`array`

`public array`

# `findByCity( string $city = )`

Return OrderAddress objects filtered by the city column

Return OrderAddress objects filtered by the city column

#### Parameters

$city
  `string`
  $city

#### Returns

`array`

`public array`

# `findByPhone( string $phone = )`

Return OrderAddress objects filtered by the phone column

Return OrderAddress objects filtered by the phone column

#### Parameters

$phone
  `string`
  $phone

#### Returns

`array`

`public array`

# `findByCountryId( integer $country_id = )`

Return OrderAddress objects filtered by the country_id column

Return OrderAddress objects filtered by the country_id column

#### Parameters

$country_id
  `integer`
  $country_id

#### Returns

`array`

`public array`

# `findByCreatedAt( string $created_at = )`

Return OrderAddress objects filtered by the created_at column

Return OrderAddress objects filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

`array`

`public array`

# `findByUpdatedAt( string $updated_at = )`

Return OrderAddress objects filtered by the updated_at column

Return OrderAddress objects filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

`array`